---
  - lineinfile: dest=/etc/zabbix/zabbix_server.conf regexp="{{ item.var }}=" line="{{ item.var }}={{ item.value }}"
    with_items:
      - { var: "DBHost", value: "{{zabbix_server_DBHost}}"}
      - { var: "DBName", value: "{{zabbix_server_DBName}}"}
      - { var: "DBUser", value: "{{zabbix_server_DBUser}}"}
      - { var: "DBPassword", value: "{{zabbix_server_DBPassword}}"}
      - { var: "StartPollers", value: "{{zabbix_server_StartPollers}}"}
      - { var: "StartPollersUnreachable", value: "{{zabbix_server_StartPollersUnreachable}}"}
      - { var: "StartPingers", value: "{{zabbix_server_StartPingers}}"}
      - { var: "StartDiscoverers", value: "{{zabbix_server_StartDiscoverers}}"}
      - { var: "StartHTTPPollers", value: "{{zabbix_server_StartHTTPPollers}}"}
      - { var: "MaxHousekeeperDelete", value: "{{zabbix_server_MaxHousekeeperDelete}}"}
      - { var: "CacheSize", value: "{{zabbix_server_CacheSize}}"}
      - { var: "StartDBSyncers", value: "{{zabbix_server_StartDBSyncers}}"}
      - { var: "HistoryCacheSize", value: "{{zabbix_server_HistoryCacheSize}}"}
      - { var: "HistoryIndexCacheSize", value: "{{zabbix_server_HistoryIndexCacheSize}}"}
      - { var: "TrendCacheSize", value: "{{zabbix_server_TrendCacheSize}}"}
      - { var: "ValueCacheSize", value: "{{zabbix_server_ValueCacheSize}}"}
      - { var: "Timeout", value: "{{zabbix_server_Timeout}}"}
    notify: zabbix-server restart
    tags:
      - zabbix-server
      - init
      - config

  - lineinfile: dest=/etc/grafana/grafana.ini regexp="{{ item.var }}=" line="{{ item.var }}={{ item.value }}"
    with_items:
      - { var: "allow_sign_up", value: "false"}
    notify: grafana-server restart
    tags:
      - grafana-server
      - config

  - name: "Configure zabbix-server-web"
    template: src=zabbix.conf.php.j2
              dest=/etc/zabbix/web/zabbix.conf.php
              owner=zabbix
              group=zabbix
              mode=0644
    notify: httpd restart
    tags:
      - zabbix-server
      - config